## GstVaapiWindow

GstVaapiWindow — VA window abstraction

## Functions

GstVaapiDisplay * | gst_vaapi_window_get_display ()
void | gst_vaapi_window_show ()
void | gst_vaapi_window_hide ()
gboolean | gst_vaapi_window_get_fullscreen ()
void | gst_vaapi_window_set_fullscreen ()
guint | gst_vaapi_window_get_width ()
guint | gst_vaapi_window_get_height ()
void | gst_vaapi_window_get_size ()
void | gst_vaapi_window_set_width ()
void | gst_vaapi_window_set_height ()
void | gst_vaapi_window_set_size ()
gboolean | gst_vaapi_window_put_pixmap ()
gboolean | gst_vaapi_window_put_surface ()

## Types and Values

| GstVaapiWindow

## Object Hierarchy

## Description

## Functions

### gst_vaapi_window_get_display ()

    GstVaapiDisplay *
    gst_vaapi_window_get_display (GstVaapiWindow *window);

Returns the GstVaapiDisplay this `window` is bound to.

#### Parameters

window | a GstVaapiWindow |

#### Returns

the parent GstVaapiDisplay object

### gst_vaapi_window_show ()

    void
    gst_vaapi_window_show (GstVaapiWindow *window);

Flags a window to be displayed. Any window that is not shown will not appear on the screen.

#### Parameters

window | a GstVaapiWindow |

### gst_vaapi_window_hide ()

    void
    gst_vaapi_window_hide (GstVaapiWindow *window);

Reverses the effects of `gst_vaapi_window_show()`, causing the window to be hidden (invisible to the user).

#### Parameters

window | a GstVaapiWindow |

### gst_vaapi_window_get_fullscreen ()

    gboolean
    gst_vaapi_window_get_fullscreen (GstVaapiWindow *window);

Retrieves whether the `window` is fullscreen or not

#### Parameters

window | a GstVaapiWindow |

#### Returns

`TRUE` if the window is fullscreen

### gst_vaapi_window_set_fullscreen ()

    void
    gst_vaapi_window_set_fullscreen (GstVaapiWindow *window,
                                     gboolean fullscreen);

Requests to place the `window` in fullscreen or unfullscreen states.

#### Parameters

window | a GstVaapiWindow |
fullscreen | `TRUE` to request window to get fullscreen |

### gst_vaapi_window_get_width ()

    guint
    gst_vaapi_window_get_width (GstVaapiWindow *window);

Retrieves the width of a GstVaapiWindow.

#### Parameters

window | a GstVaapiWindow |

#### Returns

the width of the `window` , in pixels

### gst_vaapi_window_get_height ()

    guint
    gst_vaapi_window_get_height (GstVaapiWindow *window);

Retrieves the height of a GstVaapiWindow

#### Parameters

window | a GstVaapiWindow |

#### Returns

the height of the `window` , in pixels

### gst_vaapi_window_get_size ()

    void
    gst_vaapi_window_get_size (GstVaapiWindow *window,
                               guint *width_ptr,
                               guint *height_ptr);

Retrieves the dimensions of a GstVaapiWindow.

#### Parameters

window | a GstVaapiWindow |
width_ptr | return location for the width, or `NULL` |
height_ptr | return location for the height, or `NULL` |

### gst_vaapi_window_set_width ()

    void
    gst_vaapi_window_set_width (GstVaapiWindow *window,
                                guint width);

Resizes the `window` to match the specified `width` .

#### Parameters

window | a GstVaapiWindow |
width | requested new width for the window, in pixels |

### gst_vaapi_window_set_height ()

    void
    gst_vaapi_window_set_height (GstVaapiWindow *window,
                                 guint height);

Resizes the `window` to match the specified `height` .

#### Parameters

window | a GstVaapiWindow |
height | requested new height for the window, in pixels |

### gst_vaapi_window_set_size ()

    void
    gst_vaapi_window_set_size (GstVaapiWindow *window,
                               guint width,
                               guint height);

Resizes the `window` to match the specified `width` and `height` .

#### Parameters

window | a GstVaapiWindow |
width | requested new width for the window, in pixels |
height | requested new height for the window, in pixels |

### gst_vaapi_window_put_pixmap ()

    gboolean
    gst_vaapi_window_put_pixmap (GstVaapiWindow *window,
                                 GstVaapiPixmap *pixmap,
                                 const GstVaapiRectangle *src_rect,
                                 const GstVaapiRectangle *dst_rect);

Renders the `pixmap` region specified by `src_rect` into the `window` region specified by `dst_rect` .

#### Parameters

window | a GstVaapiWindow |
pixmap | a GstVaapiPixmap |
src_rect | the sub-rectangle of the source pixmap to extract and process. If `NULL`, the entire pixmap will be used. |
dst_rect | the sub-rectangle of the destination window into which the pixmap is rendered. If `NULL`, the entire window will be used. |

#### Returns

`TRUE` on success

### gst_vaapi_window_put_surface ()

    gboolean
    gst_vaapi_window_put_surface (GstVaapiWindow *window,
                                  GstVaapiSurface *surface,
                                  const GstVaapiRectangle *src_rect,
                                  const GstVaapiRectangle *dst_rect,
                                  guint flags);

Renders the `surface` region specified by `src_rect` into the `window` region specified by `dst_rect` . The `flags` specify how de-interlacing (if needed), color space conversion, scaling and other postprocessing transformations are performed.

#### Parameters

window | a GstVaapiWindow |
surface | a GstVaapiSurface |
src_rect | the sub-rectangle of the source surface to extract and process. If `NULL`, the entire surface will be used. |
dst_rect | the sub-rectangle of the destination window into which the surface is rendered. If `NULL`, the entire window will be used. |
flags | postprocessing flags. See GstVaapiSurfaceRenderFlags |

#### Returns

`TRUE` on success

## Types and Values

### GstVaapiWindow

    typedef struct {
    } GstVaapiWindow;

Base class for system-dependent windows.